CVE-2021-21638

Click the icon to Follow me:- twitterTelegramRedditDiscord

Summary:

A cross-site request forgery (CSRF) vulnerability in Jenkins Team Foundation Server Plugin 5.157.1 and earlier allows attackers to connect to an attacker-specified URL using attacker-specified credentials IDs obtained through another method, capturing credentials stored in Jenkins.

Reference Links(if available):

  • https://www.jenkins.io/security/advisory/2021-03-30/#SECURITY-2283%20(2)
  • http://www.openwall.com/lists/oss-security/2021/03/30/1
  • CVSS Score (if available)

    v2: / MEDIUMAV:N/AC:M/Au:N/C:P/I:P/A:P

    v3: / HIGHCVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

    Links to Exploits(if available)